<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: @image{inline} html doc/images/MeLOn_Logo.png &quot;MeLOn&quot;</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('md__c_1__users__linus__documents__hi_wi__s_v_t__me_l_on_my_me_l_on__r_e_a_d_m_e.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title"><img src="MeLOn_Logo.png" alt="" class="inline" title="MeLOn"/> </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>   <br  />
 MeLOn - Machine Learning models for Optimization</p>
<p>Thank you for using the beta version 0.0.1 of MeLOn! If you have any issues, concerns, or comments, please communicate them using the "Issues" functionality in <a href="https://git.rwth-aachen.de/avt.svt/public/MAiNGO.git">GitLab</a> or send an e-mail to <a href="#" onclick="location.href='mai'+'lto:'+'art'+'ur'+'.sc'+'hw'+'eid'+'tm'+'ann'+'@r'+'wth'+'-a'+'ach'+'en'+'.de'; return false;">artur<span style="display: none;">.nosp@m.</span>.sch<span style="display: none;">.nosp@m.</span>weidt<span style="display: none;">.nosp@m.</span>mann<span style="display: none;">.nosp@m.</span>@rwth<span style="display: none;">.nosp@m.</span>-aac<span style="display: none;">.nosp@m.</span>hen.d<span style="display: none;">.nosp@m.</span>e</a>.</p>
<h1>About</h1>
<p>MeLOn provides scripts for the training of various machine-learning models and their C++ implementation which can be used in the open-source solver <a href="http://permalink.avt.rwth-aachen.de/?id=729717">MAiNGO</a>. The machine-learning module git repository currently contains the following models:</p>
<ul>
<li>Artificial neural networks for regression</li>
<li>Gaussian processes for regression (also known as Kriging)</li>
</ul>
<p>Further models are under current develpment and will be published soon.</p>
<h1>Optimization Methods</h1>
<ul>
<li>Deterministic global optimization with neural networks embedded <a href="#Schweidtmann2019ANN_Opt_Method">(Schweidtmann and Mitsos, 2019)</a></li>
<li>Deterministic global optimization with Gaussian processes embedded <a href="#Schweidtmann2020GP_Opt_Method">(Schweidtmann et al., 2020)</a></li>
</ul>
<h1>Example Applications</h1>
<p>The proposed machine-learning models have been used in various applications.</p>
<p><b>Applications of deterministic global optimization with artificial neural networks embedded</b></p>
<ul>
<li>Hybrid modeling of chemical processes and process optimization <a href="#Schweidtmann2019ANN_Opt_Method">(Schweidtmann and Mitsos, 2019)</a></li>
<li>Rational design of ion separation membranes (<a href="#Rall2019RationalMembraneDesign">Rall et al., 2019</a>, <a href="#Rall2020SimultaniousProcessAndMembrane">Rall et al., 2020</a>,<a href="#Rall2020MultiScale">Rall et al., 2020b</a>)</li>
<li>Optimization of energy processes where accurate thermodynamic is learned by neural networks. Applications to organic Rankine cycle optimization (<a href="#Schweidtmann2019AccurateTD">Schweidtmann et al., 2019</a>, <a href="#Huster2019ORC_impact">Huster et al., 2019</a>), working fluid selection (<a href="#Huster2020ORC_WF_Selection">Huster et al., 2019</a>)</li>
<li>Using of neural networks as a surrogate with a guaranteed accuracy with application to flash models (<a href="#Schweidtmann2019Flash">Schweidtmann et al., 2019</a>)</li>
<li>Scheduling of a compressed air energy storage system where the efficiency map of compressors and turbines is learned by neural networks (<a href="#Schweidtmann2019ANN_Opt_Method">Schäfer et al., 2020</a>)</li>
</ul>
<p><b>Applications of deterministic global optimization with Gaussian processes embedded</b></p>
<ul>
<li>Chance-constrained programming with Gaussian processes (<a href="#Schweidtmann2020GP_Opt_Method">Schweidtmann et al., 2020</a>)</li>
<li>Bayesian optimization with global optimization of the acquisition function (<a href="#Schweidtmann2020GP_Opt_Method">Schweidtmann et al., 2020</a>)</li>
</ul>
<h1>How to Cite This Work</h1>
<div class="fragment"><div class="line">@article{schweidtmann2019deterministic,</div>
<div class="line">  title={Deterministic global optimization with artificial neural networks embedded},</div>
<div class="line">  author={Schweidtmann, Artur M and Mitsos, Alexander},</div>
<div class="line">  journal={Journal of Optimization Theory and Applications},</div>
<div class="line">  volume={180},</div>
<div class="line">  number={3},</div>
<div class="line">  pages={925--948},</div>
<div class="line">  year={2019},</div>
<div class="line">  publisher={Springer},</div>
<div class="line">  doi={10.1007/s10957-018-1396-0},</div>
<div class="line">  url={https://doi.org/10.1007/s10957-018-1396-0}</div>
<div class="line">}</div>
</div><!-- fragment --><h1>References</h1>
<ul>
<li>Rall, D., Menne, D., Schweidtmann, A. M., Kamp, J., von Kolzenberg, L., Mitsos, A., &amp; Wessling, M. (2019). Rational design of ion separation membranes. Journal of membrane science, 569, 209-219. <a href="https://doi.org/10.1016/j.memsci.2018.10.013">https://doi.org/10.1016/j.memsci.2018.10.013</a></li>
</ul>
<p><a class="anchor" id="Rall2019RationalMembraneDesign"></a> </p>
<ul>
<li>Rall, D., Schweidtmann, A. M., Aumeier, B. M., Kamp, J., Karwe, J., Ostendorf, K., Mitsos, A. &amp; Wessling, M. (2020). Simultaneous rational design of ion separation membranes and processes. Journal of Membrane Science, 117860. <a href="https://doi.org/10.1016/j.memsci.2020.117860">https://doi.org/10.1016/j.memsci.2020.117860</a></li>
</ul>
<p><a class="anchor" id="Rall2020SimultaniousProcessAndMembrane"></a> </p>
<ul>
<li>Rall, D., Schweidtmann, A. M., Kruse, M., Evdochenko, E., Mitsos, A. &amp; Wessling, M. (2020). Multi-scale membrane process optimization with high-fidelity ion transport models through machine learning. Journal of Membrane Science, In Press. <a href="https://doi.org/10.1016/j.memsci.2020.118208">https://doi.org/10.1016/j.memsci.2020.117860</a></li>
</ul>
<p><a class="anchor" id="Rall2020MultiScale"></a> </p>
<ul>
<li>Schweidtmann, A. M., &amp; Mitsos, A. (2019). Deterministic global optimization with artificial neural networks embedded. Journal of Optimization Theory and Applications, 180(3), 925-948. <a href="https://doi.org/10.1007/s10957-018-1396-0">https://doi.org/10.1007/s10957-018-1396-0</a></li>
</ul>
<p><a class="anchor" id="Schweidtmann2019ANN_Opt_Method"></a> </p>
<ul>
<li>Schweidtmann, A. M., Huster, W. R., Lüthje, J. T., &amp; Mitsos, A. (2019). Deterministic global process optimization: Accurate (single-species) properties via artificial neural networks. Computers &amp; Chemical Engineering, 121, 67-74. <a href="https://doi.org/10.1016/j.compchemeng.2018.10.007">https://doi.org/10.1016/j.compchemeng.2018.10.007</a></li>
</ul>
<p><a class="anchor" id="Schweidtmann2019AccurateTD"></a> </p>
<ul>
<li>Schweidtmann, A. M., Bongartz, D., Huster, W. R., &amp; Mitsos, A. (2019). Deterministic Global Process Optimization: Flash Calculations via Artificial Neural Networks. In Computer Aided Chemical Engineering (Vol. 46, pp. 937-942). Elsevier. <a href="https://doi.org/10.1016/B978-0-12-818634-3.50157-0">https://doi.org/10.1016/B978-0-12-818634-3.50157-0</a></li>
</ul>
<p><a class="anchor" id="Schweidtmann2019Flash"></a> </p>
<ul>
<li>Schweidtmann, A. M., Bongartz, D., Grothe, D., Kerkenhoff, T., Lin, X., Najman, J., &amp; Mitsos, A. (2020). Global optimization of Gaussian processes. Submitted. Preprint available on <a href="https://arxiv.org/abs/2005.10902">https://arxiv.org/abs/2005.10902</a>.</li>
</ul>
<p><a class="anchor" id="Schweidtmann2020GP_Opt_Method"></a> </p>
<ul>
<li>Huster, W. R., Schweidtmann, A. M., &amp; Mitsos, A. (2019). Impact of accurate working fluid properties on the globally optimal design of an organic Rankine cycle. In Computer Aided Chemical Engineering (Vol. 47, pp. 427-432). Elsevier.<a href="https://doi.org/10.1016/B978-0-12-818597-1.50068-0">https://doi.org/10.1016/B978-0-12-818597-1.50068-0</a></li>
</ul>
<p><a class="anchor" id="Huster2019ORC_impact"></a> </p>
<ul>
<li>Huster, W. R., Schweidtmann, A. M., &amp; Mitsos, A. (2020). Working fluid selection for organic rankine cycles via deterministic global optimization of design and operation. Optimization and Engineering, (Vol. 21, pp. 517-536).<a href="https://doi.org/10.1007/s11081-019-09454-1">https://doi.org/10.1007/s11081-019-09454-1</a></li>
</ul>
<p><a class="anchor" id="Huster2020ORC_WF_Selection"></a> </p>
<ul>
<li>Schäfer, P., Schweidtmann, A. M., Lenz, P. H., Markgraf, H. M., &amp; Mitsos, A. (2020). Wavelet-based grid-adaptation for nonlinear scheduling subject to time-variable electricity prices. Computers &amp; Chemical Engineering, 132, 106598. <a href="https://doi.org/10.1016/j.compchemeng.2019.106598">https://doi.org/10.1016/j.compchemeng.2019.106598</a></li>
</ul>
<p><a class="anchor" id="Schäfer2020GridAdaption"></a>  </p>
</div></div><!-- contents -->
</div><!-- PageDoc -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
